package pxds.lmmd.zmwf

import android.util.Log
import com.test.basd.supercleanermax.BuildConfig
import com.test.basd.supercleanermax.R
import pxds.lmmd.zmwf.Khko.string

object Egac {

    val filterTAG = arrayOf(
        R.string.ޒޣދޓޛ_D.string(), R.string.ޏޏޣހޒ_D.string(), )

    val isOpen = true

    fun logDebug(tag: String, content: String, isMust: Boolean = false) {
        if (isMust) {
            Log.e(tag, content)
        } else {
            if (!isOpen) return
            if (filterTAG.contains(tag)) return
            if (BuildConfig.DEBUG) {
                Log.e(tag, content)
            }
        }
    }
}